Skip to main content
GET
/
v1
/
bot
/
heartbeat
/
stats
Get Heartbeat Stats
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/heartbeat/stats \
  --header 'Authorization: Bearer <token>'
{
  "stats": {
    "total_executions": 123,
    "success_count": 123,
    "error_count": 123,
    "skipped_count": 123,
    "success_rate": 123,
    "total_tokens": 123,
    "total_credits": 123,
    "avg_duration_ms": 123,
    "active_heartbeats": 123,
    "by_type": {},
    "time_series": [
      {
        "date": "<string>",
        "total": 123,
        "success": 123,
        "error": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

days
integer
default:30

Number of days to aggregate

Response

200 - application/json

Execution statistics

stats
object